Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.velocity.template
Class AddAttributeVModel

    java.lang.Object
      org.apache.tiles.velocity.template.AddAttributeVModel

All Implemented Interfaces:
  BodyExecutable, Executable

Deprecated. Use Velocity directives.

    @Deprecated
    public class AddAttributeVModel

extends java.lang.Object
implements Executable, BodyExecutable

Wraps `AddAttributeModel` to be used in Velocity. For the list of parameters, see `AddAttributeModel#start(java.util.Stack)`, `AddAttributeModel#end(java.util.Stack, Object, String, String, String, String)` and `AddAttributeModel#execute(java.util.Stack, Object, String, String, String, String)`

Since:
  2.2.0
Version:
  $Rev: 901361 $ $Date: 2010-01-20 21:10:27 +0100 (mer, 20 gen 2010) $

Constructor Summary
`AddAttributeVModel(AddAttributeModel model)` Deprecated. Constructor.

Method Summary
`org.apache.velocity.runtime.Renderable` | `end(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, org.apache.velocity.context.Context velocityContext)` Deprecated. Ends the execution of the commands.
`org.apache.velocity.runtime.Renderable` | `execute(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, org.apache.velocity.context.Context velocityContext, java.util.Map<java.lang.String,java.lang.Object> params)` Deprecated. Executes the command.
`void` | `start(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, org.apache.velocity.context.Context velocityContext, java.util.Map<java.lang.String,java.lang.Object> params)` Deprecated. Starts the execution of the commands.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddAttributeVModel

    public AddAttributeVModel(AddAttributeModel model)

  Deprecated.
  Constructor.

  Parameters:
    `model` - The template model.
  Since:
    2.2.0

Method Detail

### execute

    public org.apache.velocity.runtime.Renderable execute(javax.servlet.http.HttpServletRequest request,
                                                          javax.servlet.http.HttpServletResponse response,
                                                          org.apache.velocity.context.Context velocityContext,
                                                          java.util.Map<java.lang.String,java.lang.Object> params)

  Deprecated.
  Executes the command.

  Specified by:
    `execute` in interface `Executable`
  Parameters:
    `request` - The HTTP request.
    `response` - The HTTP response-
    `velocityContext` - The Velocity context.
    `params` - The map of the parameters.
  Returns:
    A renderable object. It does not necessary render anything.

### end

    public org.apache.velocity.runtime.Renderable end(javax.servlet.http.HttpServletRequest request,
                                                      javax.servlet.http.HttpServletResponse response,
                                                      org.apache.velocity.context.Context velocityContext)

  Deprecated.
  Ends the execution of the commands.

  Specified by:
    `end` in interface `BodyExecutable`
  Parameters:
    `request` - The HTTP request.
    `response` - The HTTP response-
    `velocityContext` - The Velocity context.
  Returns:
    A renderable object. It does not necessary render anything.

### start

    public void start(javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response,
                      org.apache.velocity.context.Context velocityContext,
                      java.util.Map<java.lang.String,java.lang.Object> params)

  Deprecated.
  Starts the execution of the commands.

  Specified by:
    `start` in interface `BodyExecutable`
  Parameters:
    `request` - The HTTP request.
    `response` - The HTTP response-
    `velocityContext` - The Velocity context.
    `params` - The map of the parameters.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.